UltraScenery - new territory [Commercial]

19495969798100»

Comments

  • DoctorJellybeanDoctorJellybean Posts: 7,901

    Petercat said:

    By the way, what does TAO mean? I can't find the reference.

    Tangy Apple Orchard

    https://www.daz3d.com/ultrascenery--tangy-apple-orchard

  • barbultbarbult Posts: 23,151

    10 minutes is unexpectedly long with the Acellerator. Does the green Acellerator icon show on the UltraSceneCreator window when you run the script?

  • ZippyGuitarZippyGuitar Posts: 792
    edited May 2023
    ***
    Post edited by ZippyGuitar on
  • PetercatPetercat Posts: 2,315
    edited May 2023

    barbult said:

    10 minutes is unexpectedly long with the Acellerator. Does the green Acellerator icon show on the UltraSceneCreator window when you run the script?

    I don't see one. What does it look like/where should it be?
    Well, drat. Tried again, it reached "Creating Basic Groundcover instances" and locked.
    Heading bar on top says UltreSceneCreator (Not Responding).
    Shutting it down, going to do something else for a while. Tired of playing.

    Post edited by Petercat on
  • barbultbarbult Posts: 23,151

    Forum software file upload is broken again. I can't post an image of the UltraScenery pane with the Accelerator badge. angry

    In Daz Studio, hit the F1 key to open the Help browser. In the Contents tab, expand the Plugins section. Do you see the Accelerator for UltraScenery? If not, you probably have an installation problem. If you do see it, expand it and double click on the Documentation. It will show images of what you should see in the UltraSceneCreator when the Accelerator is active. It is always a good idea to read the documentation when you install something new and complex.

    If you didn't see it in the Help browser close the Help browser. Go to the Help menu in Daz Studio and select About Installed Plugins... Is the Accelerator listed there and does it have a green plug symbol?

  • PetercatPetercat Posts: 2,315

    The only plugin listed is Mesh Grabber. Since it is not manually downloadable, I
    used Install Manager on another computer to download the files and transferred
    them to my art computer. 
    Install Manager on my art computer shows that both Accelerator for UltraScenery
    and Accelerator for UltraScenery for DAZ Studio 4.5+ (Win 64-bit) are installed.

  • barbultbarbult Posts: 23,151
    Maybe you don't have DIM configured properly to install the plugins to the right place. They may be installed, but not to where Daz Studio can see them.
  • PetercatPetercat Posts: 2,315

    So help me out here - Where should they be for Studio to see them?

  • Richard HaseltineRichard Haseltine Posts: 96,834

    Assuming you installed Daz Studio through DIM and are now installing the plug-ins the same way they should be going to the correct place.

  • PetercatPetercat Posts: 2,315

    I did and I am.
    But I would still like to know where the correct place is so I can verify that they actually are there.
    Can anyone tell me that?

  • Richard HaseltineRichard Haseltine Posts: 96,834
    edited May 2023

    Plug-ins (.dll files on WIndows, .dylib on Mac) go somewhere in the plugins subfolder of the applciation folder - the one with the .exe/.app file.

    Post edited by Richard Haseltine on
  • MelanieLMelanieL Posts: 7,139
    edited May 2023

    Petercat said:

    I did and I am.
    But I would still like to know where the correct place is so I can verify that they actually are there.
    Can anyone tell me that?

    Try the ReadMe file list HERE for Accelerator. 

    In fact, since you installed via DIM you can look and see exactly where it installed each file by right-clicking that line in DIM and "Show Installed Files". Click on one of the blue-highlighted lines to go to that location and check it is underneath the place where your Daz Studio executable residers.

    Post edited by MelanieL on
  • barbultbarbult Posts: 23,151

    Windows plugins are .dll, not .ddl.

    For the release channel, mine are in C:\Program Files\DAZ 3D\DAZStudio4\plugins. UltraScenery Accelerator plugin is libUltraSceneryAccelerator.dll. In DIM, go to your Installed tab and right click on Accelerator for Ultrascenery for DAZ Studio 4.5+ (Win 64-bit) and select Show Installed Files. This will give you links to where the product's files are installed on your system. I'm assuming you are using a 64 bit Windows computer.

  • PetercatPetercat Posts: 2,315

    barbult said:

    Windows plugins are .dll, not .ddl.

    For the release channel, mine are in C:\Program Files\DAZ 3D\DAZStudio4\plugins. UltraScenery Accelerator plugin is libUltraSceneryAccelerator.dll. In DIM, go to your Installed tab and right click on Accelerator for Ultrascenery for DAZ Studio 4.5+ (Win 64-bit) and select Show Installed Files. This will give you links to where the product's files are installed on your system. I'm assuming you are using a 64 bit Windows computer.

    Ah, thank you. The .dll files are showing in

    C:\Program Files\DAZ 3D\DAZStudio4 Public Build\plugins
    C:\Program Files\DAZ 3D\DAZStudio4\plugins
    C:\Program Files (x86)\DAZ 3D\DAZ3DIM1\plugins

    Is this where they should be?

  • barbultbarbult Posts: 23,151

    Petercat said:

    barbult said:

    Windows plugins are .dll, not .ddl.

    For the release channel, mine are in C:\Program Files\DAZ 3D\DAZStudio4\plugins. UltraScenery Accelerator plugin is libUltraSceneryAccelerator.dll. In DIM, go to your Installed tab and right click on Accelerator for Ultrascenery for DAZ Studio 4.5+ (Win 64-bit) and select Show Installed Files. This will give you links to where the product's files are installed on your system. I'm assuming you are using a 64 bit Windows computer.

    Ah, thank you. The .dll files are showing in

    C:\Program Files\DAZ 3D\DAZStudio4 Public Build\plugins
    C:\Program Files\DAZ 3D\DAZStudio4\plugins
    C:\Program Files (x86)\DAZ 3D\DAZ3DIM1\plugins

    Is this where they should be?

     That (x86) one looks strange. The others look OK as long as Daz Studio is installed to the C:\Program Files\DAZ 3D\DAZStudio4 Public Build\ and C:\Program Files\DAZ 3D\DAZStudio4\.

  • Richard HaseltineRichard Haseltine Posts: 96,834

    barbult said:

    Windows plugins are .dll, not .ddl.

    Fixed, thank you.

     

    barbult said:

    Petercat said:

    barbult said:

    Windows plugins are .dll, not .ddl.

    For the release channel, mine are in C:\Program Files\DAZ 3D\DAZStudio4\plugins. UltraScenery Accelerator plugin is libUltraSceneryAccelerator.dll. In DIM, go to your Installed tab and right click on Accelerator for Ultrascenery for DAZ Studio 4.5+ (Win 64-bit) and select Show Installed Files. This will give you links to where the product's files are installed on your system. I'm assuming you are using a 64 bit Windows computer.

    Ah, thank you. The .dll files are showing in

    C:\Program Files\DAZ 3D\DAZStudio4 Public Build\plugins
    C:\Program Files\DAZ 3D\DAZStudio4\plugins
    C:\Program Files (x86)\DAZ 3D\DAZ3DIM1\plugins

    Is this where they should be?

     That (x86) one looks strange. The others look OK as long as Daz Studio is installed to the C:\Program Files\DAZ 3D\DAZStudio4 Public Build\ and C:\Program Files\DAZ 3D\DAZStudio4\.

    the (x86) folder is for 32 bit applications.

  • PetercatPetercat Posts: 2,315
    edited May 2023
     

     That (x86) one looks strange. The others look OK as long as Daz Studio is installed to the C:\Program Files\DAZ 3D\DAZStudio4 Public Build\ and C:\Program Files\DAZ 3D\DAZStudio4\.

    That might be a problem. The versions of Studio in those folders is 4.9.
    4.12, which I currently use, is in K:\Studio 4.12 09 19 2019\4.12\DAZ Studio_4.5_(64-bit)\DAZ 3D\DAZStudio4 Public Build\.
    That was so I could keep 4.9 when I installed 4.12, just in case. I liked 4.9!

    Sooo... Can I move the Accelerator .dll's to hook up with 4.12? If I move 4.12, it will probably mess up other things.

    Yippee. Moved the .dll file to the same location as the rest of the plug in files that 4.12 uses, now accelerator icon shows up in UltraSceneCreator window. Doesn't solve the problem of Creator locking up, but it's something, I guess.
    Locked up on "Building Terrain" right now and not responding.

    Post edited by Petercat on
  • PetercatPetercat Posts: 2,315

    I've got to start writing settings down.
    I tried to render Grassland with a few trees, everything else stock and it locked up on "Building Terrain".
    I just tried to render Coastline\Harpwood Trail, everything else stock and it finished in 19.69 seconds.
    I would have expected it to lock up on the more complex scenes, not the less complex.
    Does anyone have any ideas as to how to get this crazy program to work every time???

  • barbultbarbult Posts: 23,151
    edited May 2023
    4.12 is OLD. I don't know if UltraScenery and the Accelerator are designed to work on a version that old or not. There was a recent update to UltraScenery that changed the terrain shader on the base included environments like Grassland. Maybe 4.12 is too old to handle the new shader. Maybe that is why UltraScenery still works on addon environments that have not been updated.
    Post edited by barbult on
  • ArtiniArtini Posts: 8,833

    @Petercat: Why don't you use Public Build of Daz Studio (beta) with UltraScenery and the Accelerator,

    if you intend to keep regular old versions of Daz Studio?

     

  • PetercatPetercat Posts: 2,315

    Because this is my backup DAZ computer that I'm using while my new computer is in the shop.
    That one has the latest version of everything on it.
    Howie said that UltraScenery works with 4.10 and above, and as far as I know has never said
    anything different.

  • ZippyGuitarZippyGuitar Posts: 792
    edited May 2023

    barbult said:

    4.12 is OLD. I don't know if UltraScenery and the Accelerator are designed to work on a version that old or not. There was a recent update to UltraScenery that changed the terrain shader on the base included environments like Grassland. Maybe 4.12 is too old to handle the new shader. Maybe that is why UltraScenery still works on addon environments that have not been updated.

    Which would explain why I can no longer use Grasslands. That's a bunch of [silliness] as far as I'm concerned. There should have been a notification about this. I use 4.11 and always used Grasslands but after the update I can no longer use it. Completely locks up DS when I try. Guess I'm done buying UltraScenery stuff.

    Post edited by Richard Haseltine on
  • ZippyGuitarZippyGuitar Posts: 792
    Petercat said:

    Because this is my backup DAZ computer that I'm using while my new computer is in the shop.
    That one has the latest version of everything on it.
    Howie said that UltraScenery works with 4.10 and above, and as far as I know has never said
    anything different.

    Exactly. I remember reading that. Before I updated US I looked at the readme but last update list was blank. No mention at all. God I wish I hadn't updated.
  • PetercatPetercat Posts: 2,315

    Yeah, that "Compatible Software" in the product description isn't much help if it only lists the most recent version of Studio and no earlier versions. Why is it even there? Even G1 lists only 4.21, and it's compatible with almost every version. It's beginning to look as if newer DAZ products aren't worth the trouble.

  • ZippyGuitarZippyGuitar Posts: 792

    Well fortunately, I had backups of all the UltraScenery stuff I purchased except for the Accelerator, Features 3, and MartinJFrost's newest sets. I uninstalled everything and reinstalled but used the older version of US and now it all works. It's too bad I can no longer trust newer addons for US so I'm done buying newer sets.

  • PetercatPetercat Posts: 2,315
    edited June 2023

    Well, I finally answered my original question. UltraScenery was sometimes hanging up because, while I thought I'd purchased everything except desert and cave, I hadn't. What I'd failed to do was read the "Required Products" sections every blasted time, and so I was missing two Australia Botanicals, a Mossy Hollow botanical, Stones HR 2, and Nature Trees Pack 4.
    The options were showing in the UltraScenery work window, but if I chose one, without all of the pieces it would hang.
    I wish I'd caught that before the sale ended, I had to buy them with only a 40% discount.
    I'm done buying now.

    Thanks, ZippyGuitar, your comment about Grasslands sent me in the right direction.
    And yeah, Grasslands still hangs. Im going to avoid updates for this like the plague.
     

    Post edited by Petercat on
  • barbultbarbult Posts: 23,151

    Petercat said:

    Well, I finally answered my original question. UltraScenery was sometimes hanging up because, while I thought I'd purchased everything except desert and cave, I hadn't. What I'd failed to do was read the "Required Products" sections every blasted time, and so I was missing two Australia Botanicals, a Mossy Hollow botanical, Stones HR 2, and Nature Trees Pack 4.
    The options were showing in the UltraScenery work window, but if I chose one, without all of the pieces it would hang.
    I wish I'd caught that before the sale ended, I had to buy them with only a 40% discount.
    I'm done buying now.

    Thanks, ZippyGuitar, your comment about Grasslands sent me in the right direction.
    And yeah, Grasslands still hangs. Im going to avoid updates for this like the plague.
     

    Not to rub salt into the wound, but I did suggest, early on, that you look at the troubleshooting tips in the first message in this thread. The prerequisites for the packages you mentioned are listed there. The tips in that message can solve the most frequent problems that people have. The issue with old DS version compatibility is a new discovery that you helped uncover.

  • PetercatPetercat Posts: 2,315
    edited June 2023

    You're right, I guess I just assumed that by buying all of the bundles I'd get everything I needed.
    Except that the Australia bundle slipped past me, which ticks me off as I've now paid for
    UltraScenery-Australia twice. (The bundle was still a couple of dollars cheaper than buying
    the two I needed.) I guess I'll ask for a refund on the odd one out.
    Maybe have UltraScenery give an alert with incomplete or incompatible items, or just not show unusable options, instead of trying anyway and locking up Studio. That's a real pain.
    I wish Howie would offer the older version of Grasslands to people with older systems, not everyone wants the newest shiny.
    I tried 4.21 on my current computer and reverted to 4.12 because 4.21 is slower in every way, and when you're equipped with HDDs and a 1080ti, that really matters.
    My new computer is all nvme/SSD with a pair of 3060s, so it doesn't matter... as much. But yeah, as long as I'm wishing for an older version of Grasslands, I might as well wish for a copy of 4.15 while I'm at it.

    -------------------------------

    Break new ground here https://www.daz3d.com/forums/discussion/636346/ultrascenery-new-er-territory-commercial

    Post edited by Richard Haseltine on
This discussion has been closed.